uniform vec3 uLight;
uniform sampler2D uTexUnit1;

varying vec3 vPosition;
varying vec2 vTexCoord1;
varying vec3 vNormal;
varying vec3 vFrontNormal;

void main() 
{
    vec3 tolight = normalize(uLight - vPosition);
    vec4 texNormal = texture2D(uTexUnit1, vTexCoord1);
    vec3 perp = normalize(cross(vNormal, vFrontNormal));
    vec3 scaledTexNormal = normalize(2.0 * vec3(texNormal)  - vec3(1., 1., 1.));
    float x = perp.x;
    float y = perp.y;
    float z = perp.z;
    if(x*x >  0.3 || y*y >  0.3 || z*z >  0.3) {
        mat3 rotNormal= mat3(
        x*x, y*x+z, z*x-y,
        x*y-z, y*y, z*y+x,
        x*z+y, y*z-x, z*z);
        scaledTexNormal = rotNormal * scaledTexNormal;
    }
    float diffuse = max(0.0, dot(vec3(scaledTexNormal), tolight));
    gl_FragColor = vec4(0.7, 0.7, 0.7, 1.0) * diffuse;
}